/*****************************************************
*  
*  Copyright 2010 Akamai Technologies, Inc.  All Rights Reserved.
*  
*****************************************************
*  The contents of this file are subject to the Mozilla Public License
*  Version 1.1 (the "License"); you may not use this file except in
*  compliance with the License. You may obtain a copy of the License at
*  http://www.mozilla.org/MPL/
*   
*  Software distributed under the License is distributed on an "AS IS"
*  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
*  License for the specific language governing rights and limitations
*  under the License.
*   
*  
*  The Initial Developer of the Original Code is Akamai Technologies, Inc.
*  Portions created by Akamai Technologies, Inc. are Copyright (C) 2010 Akamai 
*  Technologies, Inc. All Rights Reserved. 
*  
*****************************************************/
package com.akamai.osmf.samples.event
{
	import flash.events.Event;
	
	public class MediaLoadEvent extends Event
	{
		/**
		 * For this event the data object will be a string
		 * holding the URI of the media resource.
		 **/
		public static const LOAD_REQUEST:String = "loadRequest";
		
		/**
		 * For this event the data object will contain an
		 * object of type MediaElement.
		 **/
		public static const LOADED:String = "loaded";
		
		/** 
		 * For this event the data object will be a string
		 * holding the URI of the media resource.
		 **/
		public static const UNLOAD:String = "unload"
			
		/**
		 * For this event the data object will be a string
		 * holding load failure information if available.
		 **/
		public static const LOAD_FAILURE:String = "loadFailure";
		
		private var _data:Object;

		public function MediaLoadEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false, data:Object=null)
		{
			super(type, bubbles, cancelable);
			_data = data;
		}
		
		public function get data():Object
		{
			return _data;
		}
		
		override public function clone():Event
		{
			return new MediaLoadEvent(type, bubbles, cancelable, _data);
		}
		
	}
}
